Bug 118483 - Hard coded dependancy on XFree86-libs should be removed/changed
Summary: Hard coded dependancy on XFree86-libs should be removed/changed
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xemacs
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: xorgdeps
TreeView+ depends on / blocked
 
Reported: 2004-03-16 22:49 UTC by Mike A. Harris
Modified: 2007-11-30 22:10 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2004-03-17 06:28:43 UTC


Attachments (Terms of Use)

Description Mike A. Harris 2004-03-16 22:49:47 UTC
There are hard coded dependancies on XFree86-libs package, which
needs to be fixed before xorg-x11 can be enabled in the development
tree.

/mnt/redhat/test/rawhide-latest/i386/Fedora/RPMS/xemacs-21.4.15-2.1.i386.rpm:
XFree86-libs

I haven't investigated this deeper yet, but will update the
report unless it's fixed before I get to looking deeper myself.  ;o)

Applications that link to any X library, will have those dependancies
automatically picked up by rpm when it runs find-requires, and you
do not need to hard code a dependancy on the XFree86-libs package.

Comment 1 Mike A. Harris 2004-03-17 06:28:43 UTC
Fixed in xemacs-21.4.15-3 in rawhide.


Note You need to log in before you can comment on or make changes to this bug.